2017-05-11 13:53:22 +00:00
#!/bin/bash
set -e
2017-10-18 06:58:31 +00:00
if [ " $# " = "1" -a " $( echo $1 | grep 'gmp' ) " != "" ] ; then
./test t gmp
fi
2017-05-11 13:53:22 +00:00
./sizes
./constants
2017-09-21 15:44:33 +00:00
for i in $( for j in $( echo $( ./hashsum -h | awk '/Algorithms/,EOF' | tail -n +2) ) ; do echo $j ; done | sort) ; do echo -n " $i : " && ./hashsum -a $i tests/test.key ; done > hashsum_tv.txt
2017-05-11 13:53:22 +00:00
difftroubles = $( diff -i -w -B hashsum_tv.txt notes/hashsum_tv.txt | grep '^<' ) || true
if [ -n " $difftroubles " ] ; then
echo "FAILURE: hashsum_tv.tx"
diff -i -w -B hashsum_tv.txt notes/hashsum_tv.txt
echo "hashsum failed"
exit 1
else
echo "hashsum okay"
fi
exit 0
2017-06-19 11:43:49 +00:00
# ref: $Format:%D$
# git commit: $Format:%H$
# commit time: $Format:%ai$